﻿@*@model EnergyMission.Domain.Entities.SensorEntity

@{
    ViewBag.Title = "Create";
    Layout = null;
}
<link href="/Content/teams.css" type="text/css" rel="stylesheet" />


@using (Html.BeginForm("Create", "Sensors", FormMethod.Post, new { enctype = "multipart/form-data" }))
{

    @Html.AntiForgeryToken()
    <div class="bottom delete locationBottom">
        <div class="Sensors-create">
            <div class="form-horizontal">
                @Html.HiddenFor(x => x.Id)
                @Html.HiddenFor(x => x.CreationTime)
                @Html.HiddenFor(x => x.CreatorUserId)

              


                <div class="select-btn3">
                    @Html.LabelFor(model => model.Name, htmlAttributes: new { @class = "control-label col-md-2" })
                    <div class="col-md-10">
                        @Html.EditorFor(model => model.Name, new { @class = "form-control" })
                         <div class="error-msg">
                            @Html.ValidationMessageFor(m => m.Name, "", new { @class = "error-message eql_height" })
                        </div>

                    </div>
                    </div>

                  



                    <div class="form-group">
                        @Html.LabelFor(model => model.DataFeed, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.DataFeed, new { htmlAttributes = new { @class = "form-control" } })
                            <div class="error-msg">
                                @Html.ValidationMessageFor(m => m.DataFeed, "", new { @class = "error-message eql_height" })
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(model => model.SensorType, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.DropDownList("SensorType", new List<SelectListItem>
                                {
                                    new SelectListItem{ Text="Electricity", Value = "Electricity" },
                                    new SelectListItem{ Text="Gas", Value = "Gas" },
                                    new SelectListItem{ Text="Water", Value = "Water" },
                                 })
                            <div class="error-msg">
                                @Html.ValidationMessageFor(m => m.SensorType, "", new { @class = "error-message eql_height" })
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-md-offset-2 col-md-10">
                            <input type="submit" value="Save" class="btn btn-default" />
                        </div>
                    </div>

                </div>
        </div>
    </div>
                   
                
}*@

@model EnergyMission.Domain.Entities.SensorEntity

@{
    ViewBag.Title = "Create";
    Layout = null;
}
<link href="/Content/teams.css" type="text/css" rel="stylesheet" />


@using (Html.BeginForm("Create", "Sensors", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    @Html.AntiForgeryToken()
    @Html.HiddenFor(model => model.Id)
    @Html.HiddenFor(x => x.Id)
    @Html.HiddenFor(x => x.CreationTime)
    @Html.HiddenFor(x => x.CreatorUserId)


    <div class="bottom delete locationBottom">
        <div class="left">

            <label class="name"> Name*</label>
            <div style="position:relative;">
                <div class="select-btn3">
                    @Html.TextBoxFor(model => model.Name)
                    <div class="error-msg">
                        @Html.ValidationMessageFor(m => m.Name, "", new { @class = "error-message eql_height" })
                    </div>
                </div>
            </div>
            <div class="clearfix"></div>

            <label class="name">Sensor Type*</label>
            <div style="position:relative;">
                <div class="select-btn3">
                    @Html.DropDownList("SensorType", new List<SelectListItem>
{
    new SelectListItem{ Text="Electricity", Value = "Electricity" },
    new SelectListItem{ Text="Gas", Value = "Gas" },
    new SelectListItem{ Text="Water", Value = "Water" },
 })
                    <div class="error-msg">
                        @Html.ValidationMessageFor(m => m.SensorType, "", new { @class = "error-message eql_height" })
                    </div>
                </div>
            </div>
            <div class="clearfix"></div>

            <label class="name">DataFeed**</label>
            <div style="position:relative;">
                <div class="select-btn3">
                    @Html.TextBoxFor(model => model.DataFeed)
                    <div class="error-msg">
                        @Html.ValidationMessageFor(m => m.DataFeed, "", new { @class = "error-message eql_height" })
                    </div>
                </div>
            </div>
            <input class="save2 button2" name="button" type="submit" value="Save " />
        </div>
    </div>
}











